INSERT INTO capabilities (capability_name, max_jobs, enabled, has_image_products, paused, start_state, requires_qa, single_version_only, casa_recipe, default_casa_capo_key) VALUES ('null_dag', 2, true, false, false, 'Start', false, false, null, null);
INSERT INTO capabilities (capability_name, max_jobs, enabled, has_image_products, paused, start_state, requires_qa, single_version_only, casa_recipe, default_casa_capo_key) VALUES ('download', 2, true, false, false, 'Start', false, true, null, null);
INSERT INTO capabilities (capability_name, max_jobs, enabled, has_image_products, paused, start_state, requires_qa, single_version_only, casa_recipe, default_casa_capo_key) VALUES ('curator', 10, true, false, false, 'Start', false, false, null, null);
INSERT INTO capabilities (capability_name, max_jobs, enabled, has_image_products, paused, start_state, requires_qa, single_version_only, casa_recipe, default_casa_capo_key) VALUES ('null', 2, true, false, false, 'Start', false, false, null, null);
INSERT INTO capabilities (capability_name, max_jobs, enabled, has_image_products, paused, start_state, requires_qa, single_version_only, casa_recipe, default_casa_capo_key) VALUES ('std_calibration', 50, true, true, false, 'Start', true, false, 'procedure_hifv.xml', 'homeForReprocessing');
INSERT INTO capabilities (capability_name, max_jobs, enabled, has_image_products, paused, start_state, requires_qa, single_version_only, casa_recipe, default_casa_capo_key) VALUES ('restore_cms', 20, true, false, false, 'Start', false, false, 'template_hifv_deliver_ms.xml|template_hifa_deliver_ms.xml', 'homeForVlaRestore|homeForAlmaRestore');
INSERT INTO capabilities (capability_name, max_jobs, enabled, has_image_products, paused, start_state, requires_qa, single_version_only, casa_recipe, default_casa_capo_key) VALUES ('restore_basic_ms', 20, false, false, false, 'Start', false, false, 'template_hifv_deliver_ms.xml|template_hifa_deliver_ms.xml', 'homeForDownloads');
INSERT INTO capabilities (capability_name, max_jobs, enabled, has_image_products, paused, start_state, requires_qa, single_version_only, casa_recipe, default_casa_capo_key) VALUES ('std_cms_imaging', 20, true, true, false, 'Start', true, false, 'procedure_hifv_contimage_selfcal.xml', 'homeForReprocessing');
INSERT INTO capabilities (capability_name, max_jobs, enabled, has_image_products, paused, start_state, requires_qa, single_version_only, casa_recipe, default_casa_capo_key) VALUES ('std_restore_imaging', 20, true, true, false, 'Start', false, false, 'procedure_hifv_contimage_selfcal.xml', 'homeForReprocessing');


INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (1, 'casa-release-4.7.0-1', false);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (2, 'casa-release-4.7.0', false);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (3, 'casa-release-4.7.1', false);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (4, 'casa-release-4.7.2', false);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (5, 'casa-release-5.1.0-68', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (6, 'casa-release-5.1.0-69', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (7, 'casa-release-5.1.0-71', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (8, 'casa-release-5.1.0-73', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (9, 'casa-release-5.1.0-74', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (10, 'casa-release-5.1.1-5', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (11, 'casa-release-5.1.2-4', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (12, 'casa-release-5.4.0-68', false);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (13, 'casa-release-5.4.0-70', false);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (14, 'casa-release-5.4.1-31', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (15, 'casa-release-5.4.1-32', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (16, 'casa-release-5.4.2-5', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (17, 'casa-release-5.4.2-8', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (18, 'casa-pipeline-release-5.6.1-8', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (19, 'casa-pipeline-release-5.6.2-2', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (20, 'casa-pipeline-release-5.6.2-3', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (21, 'casa-pipeline-release-5.6.2-6', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (22, 'casa-pipeline-release-5.6.3-19', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (23, 'casa-6.1.1-13-pipeline-2020.1.0.36', false);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (24, 'casa-6.1.1-15-pipeline-2020.1.0.40', false);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (26, 'casa-6.1.2-7-pipeline-2020.1.0.40', false);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (27, 'casa-6.2.1-7-pipeline-2021.2.0.128', false);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (28, 'casa-6.4.1-12-pipeline-2022.2.0.64', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (29, 'casa-6.4.1-12-pipeline-2022.2.0.68', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (30, 'casa-6.5.3-28-pipeline-2023.0.0.36', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (31, 'casa-6.5.4-9-pipeline-2023.1.0.124', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (32, 'casa-6.5.4-9-pipeline-2023.1.0.125', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (25, 'casa-6.1.2-7-pipeline-2020.1.0.36', true);
INSERT INTO casa_matrix_casa_versions (matrix_id, casa_version, is_cluster_compatible) VALUES (33, 'casa-6.6.1-17-pipeline-2024.1.0.8',true);

INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 5);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 5);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 6);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 6);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 7);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 7);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 8);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 8);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 9);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 9);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 10);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 10);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 11);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 11);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 14);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 14);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 15);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 15);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 16);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 16);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 17);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 17);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 18);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 18);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 19);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 19);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 20);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 20);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 21);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 21);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 22);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 22);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 28);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 28);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('std_calibration', 28);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('std_cms_imaging', 28);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('std_restore_imaging', 28);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 29);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 29);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('std_calibration', 29);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('std_cms_imaging', 29);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('std_restore_imaging', 29);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 30);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 30);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('std_calibration', 30);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('std_cms_imaging', 30);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('std_restore_imaging', 30);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 31);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 31);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('std_calibration', 31);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('std_cms_imaging', 31);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('std_restore_imaging', 31);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 32);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_basic_ms', 32);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('std_calibration', 32);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('std_cms_imaging', 32);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('std_restore_imaging', 32);
INSERT INTO casa_matrix_capabilities (capability_name, matrix_id) VALUES ('restore_cms', 25);
